package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum HeardLevelEnum implements BaseEnum<String, HeardLevelEnum> {
	BEGINNER("BEGINNER","入门级", 0.1f, 0.7f, 1.5f),
    ADVANCED("ADVANCED","进阶级", 1, 0.9f, 1.3f),
    PERFORMER("PERFORMER","大师级", 3, 0.93f, 1.1f);

    private String code;

    private String msg;

    /** 音准音分偏差数 */
    private float intonationCentsRange;

    /** 节奏评分截取时间占比 */
    private float cadenceRange;

    /** 完整性 */
    private float integrityRange;

    HeardLevelEnum(String code, String msg, float intonationCentsRange, float cadenceRange, float integrityRange) {
        this.code = code;
        this.msg = msg;
        this.intonationCentsRange = intonationCentsRange;
        this.cadenceRange = cadenceRange;
        this.integrityRange = integrityRange;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public float getIntonationCentsRange() {
        return intonationCentsRange;
    }

    public void setIntonationCentsRange(float intonationCentsRange) {
        this.intonationCentsRange = intonationCentsRange;
    }

    public float getCadenceRange() {
        return cadenceRange;
    }

    public void setCadenceRange(float cadenceRange) {
        this.cadenceRange = cadenceRange;
    }

    public float getIntegrityRange() {
        return integrityRange;
    }

    public void setIntegrityRange(float integrityRange) {
        this.integrityRange = integrityRange;
    }
}
